
<!-- test body with attribute -->

<script type="text/javascript" attr>
(function(){$(document).ready(function(){console.log('success')})}).call(this);
</script>

<!-- test body without attribute -->

<script type="text/javascript">
(function(){$(document).ready(function(){console.log('success')})}).call(this);
</script>

<!-- test single file with extension -->
<!-- coffee.js -->
<script type="text/javascript">
(function(){$(document).ready(function(){console.log('i love coffee')})}).call(this);
</script>

<!-- test single file without extension -->
<!-- coffee.js -->
<script type="text/javascript">
(function(){$(document).ready(function(){console.log('i love coffee')})}).call(this);
</script>

<!-- test multiple files with extensions -->
<!-- coffee.js, coffee2.js -->
<script type="text/javascript">
(function(){$(document).ready(function(){console.log('i love coffee')})}).call(this);
(function(){$(window).load(function(){console.log('i also love coffee')})}).call(this);
</script>

<!-- test multiple files without extensions -->
<!-- coffee.js, coffee2.js -->
<script type="text/javascript">
(function(){$(document).ready(function(){console.log('i love coffee')})}).call(this);
(function(){$(window).load(function(){console.log('i also love coffee')})}).call(this);
</script>

<!-- test multiple files with attribute -->
<!-- coffee.js, coffee2.js -->
<script type="text/javascript" attr>
(function(){$(document).ready(function(){console.log('i love coffee')})}).call(this);
(function(){$(window).load(function(){console.log('i also love coffee')})}).call(this);
</script>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>

<!-- test multiple files with attribute -->
<!-- coffee.js -->
<script type="text/javascript" attr>
(function(){$(document).ready(function(){console.log('i love coffee')})}).call(this);
</script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript" attr></script>

<!-- test multiple files without attribute -->
<!-- coffee.js -->
<script type="text/javascript">
(function(){$(document).ready(function(){console.log('i love coffee')})}).call(this);
</script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>
